获取打印机
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
检索打印机对象 的属性和 关系。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
若要使用通用打印服务,除了下表中列出的权限之外,用户或应用的租户还必须具有活动的通用打印订阅。 登录的用户必须是打印机 管理员。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | Printer.Read.All、Printer.ReadWrite.All、Printer.FullControl.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | 打印机。阅读.All,Printer.ReadWrite.All |
HTTP 请求
GET /print/printers/{id}
GET /print/shares/{id}/printer
可选的查询参数
此方法支持一些 OData 查询参数,$select、$expand自定义响应。 若要了解一般信息,请参阅 OData 查询参数。
例如
GET /print/printers/{id}?$select=id,displayName,capabilities
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | Bearer {token}。必需。 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应 200 OK 正文中返回 响应代码和 printer 对象。
默认情况下,该响应将不包含 printerCapabilities。 若要获取 printerCapabilities, 请使用 $select 查询参数。
示例
请求
下面展示了示例请求。
GET https://graph.microsoft.com/beta/print/printers/{id}
响应
下面展示了示例响应。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#print/printers/$entity",
"id": "016b5565-3bbf-4067-b9ff-4d68167eb1a6",
"displayName": "PrinterName",
"manufacturer": "PrinterManufacturer",
"model": "PrinterModel",
"isShared": true,
"registeredDateTime": "2020-02-04T00:00:00.0000000Z",
"isAcceptingJobs": true,
"status": {
"state": "stopped",
"details": [
"disconnected"
],
"description": ""
},
"defaults": {
"copiesPerJob": 1,
"finishings": [
"none"
],
"mediaColor": "Unknown",
"mediaType": "stationery",
"mediaSize": "North America Letter",
"pagesPerSheet": 1,
"orientation": "portrait",
"outputBin": "auto",
"inputBin": "auto",
"contentType": "application/oxps",
"fitPdfToPage": false,
"multipageLayout": null,
"colorMode": "color",
"quality": "medium",
"duplexMode": "oneSided",
"dpi": 600,
"scaling": null
},
"location": {
"latitude": 1.1,
"longitude": 2.2,
"altitudeInMeters": 3,
"streetAddress": "One Microsoft Way",
"subUnit": [
"Main Plaza",
"Unit 400"
],
"city": "Redmond",
"postalCode": "98052",
"countryOrRegion": "USA",
"site": "Puget Sound",
"building": "Studio E",
"floor": "1",
"floorDescription": "First Floor",
"roomName": "1234",
"roomDescription": "First floor copy room",
"organization": [
"C+AI",
"Microsoft Graph"
],
"subdivision": [
"King County",
"Red West"
],
"stateOrProvince": "Washington"
}
}
下面是使用 $select=id,displayName,capabilities 时的响应示例
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#print/printers/$entity",
"id": "016b5565-3bbf-4067-b9ff-4d68167eb1a6",
"displayName": "PrinterName",
"capabilities": {
"isColorPrintingSupported": true,
"supportsFitPdfToPage": false,
"contentTypes": [
"application/pdf",
"image/pwg-raster",
"application/PCLm"
],
"isPageRangeSupported": false,
"qualities": [
"medium"
],
"dpis": [
600
],
"duplexModes": [
"oneSided",
"flipOnLongEdge",
"flipOnShortEdge"
],
"finishings": [
"none"
],
"mediaTypes": [
"stationery"
],
"mediaSizes": [
"North America Letter"
],
"outputBins": [
"tray-1"
],
"colorModes": [
"grayscale",
"color"
],
"inputBins": [
"tray-1"
],
"collation": true,
"scalings": [
"fill"
],
"copiesPerJob": {
"start": 1,
"end": 38
}
}
}
反馈
提交和查看相关反馈